#74 HTTPS URLs that contain '?' cannot be processed anymore

None
closed-fixed
None
7
2015-05-31
2009-08-06
Padde
No

This is due to the "fix" in version 1.2.4.

I think line 1009 should be changed to

exec($this->curl_path." -k -D \"$headerfile\"".$cmdline_params." ".escapeshellarg($URI)."",$results,$return);

(note that I propose escapeshellarg() instead of escapeshellcmd() )

This bug is also related: https://sourceforge.net/tracker/?func=detail&aid=2572607&group_id=2091&atid=102091

Discussion

  • Padde

    Padde - 2009-08-06
    • priority: 5 --> 7
     
  • Gene Wood

    Gene Wood - 2015-05-31
    • status: open --> closed-fixed
    • assigned_to: Gene Wood
    • Group: -->
     
  • Gene Wood

    Gene Wood - 2015-05-31

    Thanks for the bug report. Snoopy 2.0.0 no longer uses curl an instead uses openssl so all curl issues are now resolved.

    You can get the new version of Snoopy 2.0.0 here

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks